# sc::RedundantCartesianSubIter Class Reference

Like RedundantCartesianIter, except a, b, and c are fixed to a given value. More...

`#include <cartiter.h>`

Inheritance diagram for sc::RedundantCartesianSubIter:

List of all members.

## Public Member Functions

| RedundantCartesianSubIter (int l)
| Create a object for the given angular momentum.
virtual int | bfn ()=0
| Return the current Cartesian basis function number.
void | start (int a, int b, int c)
| Initialize the iterator.
void | next ()
| Move to the next combination of axes.
| operator int () const
| Returns nonzero if the iterator currently hold valid data.
int | a () const
| The current exponent of x.
int | b () const
| The current exponent of y.
int | c () const
| The current exponent of z.
int | l () const
| The angular momentum.
int | l (int i)
| Returns a() if i==0, b() if i==1, and c() if i==2.
int | axis (int i)
| Return the i'th axis.

## Detailed Description

Like RedundantCartesianIter, except a, b, and c are fixed to a given value.

## Member Function Documentation

void sc::RedundantCartesianSubIter::start | ( | int | a,
|  | int | b,
|  | int | c
| ) |  |

Initialize the iterator.

The constraints on a, b, and c are given as arguments.

The documentation for this class was generated from the following file:

- cartiter.h